Bug 1675951 - rubygem-rspec-core: FTBFS in Fedora rawhide/f30
Summary: rubygem-rspec-core: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rspec-core
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:54 UTC by Fedora Release Engineering
Modified: 2019-06-21 07:16 UTC (History)
6 users (show)

Fixed In Version: rubygem-rspec-core-3.8.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-21 07:16:54 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details
state.log (673 bytes, text/plain)
2019-02-11 21:54 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:54:38 UTC
rubygem-rspec-core failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32475261


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rubygem-rspec-core at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-rspec-core will be orphaned. Before branching of Fedora 31,
rubygem-rspec-core will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:54:40 UTC
Created attachment 1532844 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:54:42 UTC
Created attachment 1532845 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:54:43 UTC
Created attachment 1532846 [details]
state.log

Comment 4 Mamoru TASAKA 2019-03-11 06:02:47 UTC
Some test failure should be fixed with https://github.com/rspec/rspec-core/commit/5e6171ee7dadd520991153009eb01d7be3c82e7e 
The rest needs investigating.


Note You need to log in before you can comment on or make changes to this bug.